## image-editor 1.0.11

=== libimageviewer/CMakeLists.txt ===
#定义需要的cmake版本
cmake_minimum_required(VERSION 3.10)

# 设置工程名字
project(libimageviewer VERSION 0.1.0)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

#Qt需要的包
set(QtModule Core Gui Widgets Svg DBus Concurrent PrintSupport LinguistTools)

set(TARGET_NAME imageviewer)
set(CMD_NAME imageviewer)

#先查找到这些qt相关的模块以供链接使用
find_package(Qt5 REQUIRED ${QtModule})

#设置输出目录
#set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/../deepin-album/lib)

#包含目录
include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_definitions( -DLITE_DIV )
add_definitions( -DUSE_UNIONIMAGE )
add_definitions( -DCMAKE_BUILD )

#库目录
aux_source_directory(imageviewer allSources)


find_package(PkgConfig REQUIRED)
pkg_check_modules(3rd_lib REQUIRED
    dtkwidget
    dtkcore
    )

#需要打开的头文件
FILE (GLOB allHeaders "*.h" "*/*.h" "*/*/*.h")
#需要打开的代码文件
FILE (GLOB allSources
    "*.cpp"                                   "*.c"
    "*/*.cpp"                                 "*/*.c"
    "*/*/*.cpp"                              "*/*/*.c"
    )
file(GLOB_RECURSE RESOURCES "*.qrc")

#------------------添加第三方库begins--------------------------#
#使用第三方库需要用到的一个包

set(INC_DIR /usr/include/)
set(LINK_DIR /usr/lib/)

include_directories(${INC_DIR})
link_directories(${LINK_DIR})

link_libraries(freeimage)

set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)

file(GLOB TS LIST_DIRECTORIES false translations/libimageviewer*.ts)

set_source_files_properties(${TS} PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)

qt5_create_translation(QM ${allSources}  ${GLOB})

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    qt5_create_translation(QM ${allSources} ${TS})
endif ()

# 设置不删除生成的文件夹内容文件
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)

#编译为库
add_library(imageviewer SHARED ${allHeaders} ${allSources} ${RESOURCES} ${QM})
#使用库
qt5_use_modules(imageviewer ${QtModule})


#将库安装到指定位置
set(PREFIX /usr)
set(${TARGET_NAME} ${CMAKE_INSTALL_LIBDIR})

set_target_properties(${TARGET_NAME} PROPERTIES VERSION 0.1.0 SOVERSION 0.1)


target_include_directories(${CMD_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS}  )
target_link_libraries(imageviewer ${3rd_lib_LIBRARIES} freeimage )

include(GNUInstallDirs)
configure_file(libimageviewer.pc.in ${PROJECT_BINARY_DIR}/libimageviewer.pc @ONLY)

install(TARGETS ${CMD_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES
    imageengine.h
    imageviewer.h
    image-viewer_global.h
    DESTINATION include/libimageviewer)

install(FILES ${PROJECT_BINARY_DIR}/libimageviewer.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
#translations
install(DIRECTORY ${PROJECT_SOURCE_DIR}/translations
    DESTINATION ${PREFIX}/share/libimageviewer
    FILES_MATCHING PATTERN "*.qm")

# 加速编译优化参数
if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
else()
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3  -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
endif()

if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "sw_64")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mieee")
    add_definitions( -DISSW_64 )
endif()

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

project(image-editor-test VERSION 0.1)

#"option"用来定义宏，"ON"表示打开，"OFF"表示关闭
option (LITE_DIV "Use tutorial provided math implementation" ON)
add_definitions( -DLITE_DIV )
option (USE_UNIONIMAGE "Use UNIONIMAGE" ON)
add_definitions( -DUSE_UNIONIMAGE )

option (USE_TEST "Use TESTS" ON)
add_definitions( -DUSE_TEST )

set(TARGET_NAME image-editor-test)
set(CMD_NAME image-editor-test)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
#ADD_DEFINITIONS( -LITE_DIV)
execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)



if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 ")
endif()

# Sources files
#cmakedefine USE_MYMATH
set(AllTestQRC
    ./testqrc/testresource.qrc)
file(GLOB_RECURSE HEADERSCURRENT "*.h")
file(GLOB_RECURSE  SOURCESCURRENT  "*.cpp")

file (GLOB_RECURSE SOURCES
    "../libimageviewer/*.cpp"
    "../libimageviewer/*.h"
    "../libimagevisualresult/exposure.cpp"
    "../libimagevisualresult/exposure.h"
    )
file(GLOB_RECURSE SOURCESC "../libimageviewer/*.c")
#file(GLOB_RECURSE HEADERS "../src/src/module/modulepanel.h")
file(GLOB_RECURSE FORMS "../libimageviewer/*.ui")
file(GLOB_RECURSE RESOURCES "../*.qrc")

include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(PROJECT_INCLUDE ${PROJECT_SOURCE_DIR}/../libimageviewer/
    ${PROJECT_SOURCE_DIR}/../src/src/utils
    )

find_package(PkgConfig REQUIRED)

find_package(Qt5Core)
find_package(Qt5Test)
find_package(Qt5Gui)
find_package(Qt5Widgets)
find_package(Qt5Sql)
find_package(Qt5DBus)
find_package(Qt5Concurrent)
find_package(Qt5Svg)
find_package(Qt5X11Extras)
find_package(Qt5PrintSupport)
find_package(Qt5OpenGL)
find_package(Qt5LinguistTools)

pkg_check_modules(3rd_lib REQUIRED
    dtkcore
    dtkwidget
    gio-qt
    gio-unix-2.0
    gsettings-qt
#    freeimage
        )

## translations

file(GLOB TS LIST_DIRECTORIES false translations/${CMD_NAME}*.ts)
#file(GLOB TS LIST_DIRECTORIES false ${PROJECT_SOURCE_DIR}/translations/image-editor_zh_CN.ts)

set_source_files_properties(${TS} PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)

qt5_create_translation(QM ${SOURCES}  ${GLOB})

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    qt5_create_translation(QM ${SRCS} ${TS})
endif ()

add_executable( ${TARGET_NAME} ${SOURCES} ${SOURCESC}
    ${HEADERS} ${AllTestQRC}
    ${RESOURCES} ${HEADERSCURRENT}
    ${SOURCESCURRENT} ${QM}
    )

find_package(OpenCV REQUIRED)
include_directories(${OpenCV_INCLUDE_DIRS})
link_directories(${OpenCV_LIBRARY_DIRS})
target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBS})

target_include_directories(${TARGET_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${PROJECT_INCLUDE} ${GLOB_RECURSE})
target_link_libraries(${TARGET_NAME} ${3rd_lib_LIBRARIES} )


target_link_libraries(
    ${PROJECT_NAME}
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
    Qt5::Sql
    Qt5::Svg
    Qt5::DBus
    Qt5::Concurrent
    Qt5::X11Extras
    Qt5::PrintSupport
    Qt5::OpenGL
    Qt5::WidgetsPrivate
    Qt5::Test
    dtkwidget
    dtkcore
    X11
    Xext
    exif
#    gio-unix-2.0
    gio-qt
    udisks2-qt5
    freeimage
    pthread
    gtest
    )


include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})
#configure_file(${PROJECT_SOURCE_DIR}/config.h.in  @ONLY)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)


# 添加gocv覆盖率文件的输出
#set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")
# 加速编译优化参数
if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")
else()
    set(CMAKE_CXX_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer -g -fprofile-arcs -ftest-coverage -pthread ")
    set(CMAKE_C_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer -pthread ")
    set(CMAKE_Ｌ_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
endif()

set(CMAKE_CXX_OUTPUT_EXTENSION_REPLACE ON)

set(OBJECT_DIR ${CMAKE_BINARY_DIR}/CMakeFiles/objects)

add_custom_target(test
    COMMAND mkdir -p coverageResult
    COMMAND mkdir -p tests/test
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR})

add_custom_command(TARGET test
    COMMAND echo " ===================CREAT LCOV REPROT==================== "
    COMMAND lcov --directory ./CMakeFiles/${PROJECT_NAME}.dir --zerocounters
    COMMAND ./tests/${PROJECT_NAME}
    COMMAND lcov --directory . --capture --output-file ./coverageResult/${PROJECT_NAME}_Coverage.info

    COMMAND echo " =================== do filter begin ==================== "
    COMMAND lcov --remove ./coverageResult/${PROJECT_NAME}_Coverage.info 'CMakeFiles/${PROJECT_NAME}.dir/${PROJECT_NAME}_autogen/*/*'
    '${PROJECT_NAME}_autogen/*/*' 'googletest/*/*' '*/usr/include/*' '*/tests/*' '/usr/local/*'
    -o ./coverageResult/${PROJECT_NAME}_Coverage_fileter.info
    COMMAND echo " =================== do filter end ==================== "

    COMMAND genhtml -o ./coverageResult/report ./coverageResult/${PROJECT_NAME}_Coverage_fileter.info
    COMMAND echo " -- Coverage files have been output to ${CMAKE_BINARY_DIR}/coverageResult/report "
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    )
add_dependencies(test ${PROJECT_NAME})

=== debian/changelog ===
image-editor (1.0.11-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 22 Feb 2022 10:39:56 +0800

image-editor (1.0.0-1) unstable; urgency=medium

  * Initial release 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 24 Feb 2016 14:15:54 +0800

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export QT_SELECT=5
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCMAKE_INSTALL_PREFIX=/usr \
      -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) DH_AUTO_ARGS = --parallel --buildsystem=cmake

## image-editor 1.0.14

=== libimageviewer/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,7 @@
 pkg_check_modules(3rd_lib REQUIRED
     dtkwidget
     dtkcore
+    dtkgui
     )
 
 #需要打开的头文件

=== libimagevisualresult/CMakeLists.txt ===
#定义需要的cmake版本
cmake_minimum_required(VERSION 3.10)

# 设置工程名称
project(libimagevisualresult VERSION 0.1.0)

set(TARGET_NAME imagevisualresult)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_EXPORT_COMPILE_COMMANDS on)

find_package(PkgConfig REQUIRED)
find_package(OpenCV REQUIRED)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})

#文件夹包含
set(SRCS
    src/lut.cpp
    src/lut.h
    src/utils.cpp
    src/utils.h
    src/visualresult.cpp
    src/visualresult.h
    src/main.c)

file (GLOB_RECURSE OUT_HEADERS ${CMAKE_CURRENT_LIST_DIR}/src/visualresult.h)

#-------------添加第三方库begins-----------------------#
set(INC_DIR /usr/include/)
set(LINK_DIR /usr/lib/)

include_directories(${INC_DIR})
link_directories(${LINK_DIR})

add_executable(${PROJECT_NAME} ${SRCS})

# 设置不删除生成的文件夹内容文件
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)

link_directories(${OpenCV_LIBRARY_DIRS})
target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBS})

# 设置不删除生成的文件夹内容文件
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)

#编译为库
add_library(${TARGET_NAME} SHARED ${SRCS} ${allHeaders} ${allSource})

#将库安装到指定位置
set(PREFIX /usr)
set(${TARGET_NAME} ${CMAKE_INSTALL_LIBDIR})

set_target_properties(${TARGET_NAME} PROPERTIES VERSION 0.1.0 SOVERSION 0.1)

include(GNUInstallDirs)
configure_file(libimagevisualresult.pc.in  ${PROJECT_BINARY_DIR}/libimagevisualresult.pc @ONLY)

install(TARGETS ${TARGET_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES ${OUT_HEADERS} DESTINATION include/libimagevisualresult)

install(FILES ${PROJECT_BINARY_DIR}/libimagevisualresult.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# CUBE 颜色表文件 安装到usr/share下， 方便其他应用访问
install(DIRECTORY ${PROJECT_SOURCE_DIR}/filter_cube
    DESTINATION ${PREFIX}/share/libimagevisualresult
    FILES_MATCHING PATTERN "*.CUBE")

install(DIRECTORY ${PROJECT_SOURCE_DIR}/filter_cube
    DESTINATION ${PREFIX}/share/libimagevisualresult
    FILES_MATCHING PATTERN "*.dat")

# 加速编译优化参数
if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
else()
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3  -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
endif()

=== debian/changelog ===
image-editor (1.0.14-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 10 May 2022 17:49:10 +0800

=== debian/control ===
Source: image-editor
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 11), cmake, qtbase5-dev, pkg-config,libexif-dev, libqt5svg5-dev, libqt5x11extras5-dev, libsqlite3-dev, qttools5-dev-tools,qttools5-dev, libxcb-util0-dev, libstartup-notification0-dev,
 libraw-dev,libfreeimage-dev, libqt5opengl5-dev, qtbase5-private-dev,
 qtmultimedia5-dev, x11proto-xext-dev, libmtdev-dev, libegl1-mesa-dev,
 libudev-dev, libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev,
 libxrender-dev, libdtkwidget-dev, libdtkwidget5-bin,libdtkcore5-bin,libgio-qt-dev,libudisks2-qt5-dev,
 libopencv-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: libimageeditor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts:
 libimage-viewer
Replaces:
 libimage-viewer
Recommends: libqt5libqgtk2, kimageformat-plugins ,deepin-ocr
Description: Image Viewer library.
 Deepin Image Viewer library.

Package: libimageeditor-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libimageeditor(=${binary:Version})
Conflicts:
 libimage-viewer-dev
Replaces:
 libimage-viewer-dev
Recommends: libqt5libqgtk2, kimageformat-plugins ,deepin-ocr
Description: Image Viewer library development headers.
 Deepin Image Viewer library development headers.

## image-editor 1.0.18

=== libimageviewer/CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,8 @@
     dtkwidget
     dtkcore
     dtkgui
+    gobject-2.0
+    libmediainfo
     )
 
 #需要打开的头文件
@@ -102,6 +104,7 @@
     imageengine.h
     imageviewer.h
     image-viewer_global.h
+    movieservice.h
     DESTINATION include/libimageviewer)
 
 install(FILES ${PROJECT_BINARY_DIR}/libimageviewer.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
@@ -111,14 +114,16 @@
     FILES_MATCHING PATTERN "*.qm")
 
 # 加速编译优化参数
-if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
-    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
-    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
-else()
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
-    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3  -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
-    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
+if (NOT(CMAKE_BUILD_TYPE STREQUAL "Debug"))
+    if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
+        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
+        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
+        SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
+    else()
+        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
+        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3  -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
+        SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
+    endif()
 endif()
 
 if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "sw_64")

=== debian/changelog ===
image-editor (1.0.18-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 26 Jul 2022 13:41:40 +0800

image-editor (1.0.0) unstable; urgency=medium

  * Initial release 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 24 Feb 2016 14:15:54 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  qtmultimedia5-dev, x11proto-xext-dev, libmtdev-dev, libegl1-mesa-dev,
  libudev-dev, libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev,
  libxrender-dev, libdtkwidget-dev, libdtkwidget5-bin,libdtkcore5-bin,libgio-qt-dev,libudisks2-qt5-dev,
- libopencv-dev
+ libopencv-dev, libmediainfo-dev, libglib2.0-dev
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org
 
@@ -18,7 +18,7 @@
  libimage-viewer
 Replaces:
  libimage-viewer
-Recommends: libqt5libqgtk2, kimageformat-plugins ,deepin-ocr
+Recommends: libqt5libqgtk2, kimageformat-plugins, deepin-ocr, ffmpegthumbnailer, ffmpeg
 Description: Image Viewer library.
  Deepin Image Viewer library.

## image-editor 1.0.21

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

project(imageeditor)

execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)

set(CMAKE_EXPORT_COMPILE_COMMANDS on)

find_package(PkgConfig REQUIRED)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})


message(STATUS ${CMAKE_CXX_FLAGS})

option(DOTEST "option for test" OFF)

if(DOTEST)
    add_subdirectory(tests)
endif()



add_subdirectory(libimageviewer)
add_subdirectory(libimagevisualresult)

=== libimageviewer/CMakeLists.txt ===
--- 
+++ 
@@ -116,12 +116,12 @@
 # 加速编译优化参数
 if (NOT(CMAKE_BUILD_TYPE STREQUAL "Debug"))
     if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
-        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
-        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
+        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
+        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -Wl,-O1 -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
         SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
     else()
-        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
-        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3  -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
+        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
+        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3  -Wl,-O1 -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
         SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
     endif()
 endif()

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -74,6 +74,8 @@
     gio-qt
     gio-unix-2.0
     gsettings-qt
+    gstreamer-1.0
+    libmediainfo
 #    freeimage
         )
 
@@ -102,7 +104,7 @@
 target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBS})
 
 target_include_directories(${TARGET_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${PROJECT_INCLUDE} ${GLOB_RECURSE})
-target_link_libraries(${TARGET_NAME} ${3rd_lib_LIBRARIES} )
+target_link_libraries(${TARGET_NAME} ${3rd_lib_LIBRARIES} -ldl)
 
 
 target_link_libraries(
@@ -117,7 +119,6 @@
     Qt5::X11Extras
     Qt5::PrintSupport
     Qt5::OpenGL
-    Qt5::WidgetsPrivate
     Qt5::Test
     dtkwidget
     dtkcore

=== debian/changelog ===
image-editor (1.0.21-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 17 Nov 2022 10:54:45 +0800

image-editor (1.0.19) unstable; urgency=medium

  * Add movie information interface

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 24 Feb 2022 14:15:54 +0800

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,40 @@
 Section: utils
 Priority: optional
 Maintainer: Deepin Packages Builder <packages@deepin.com>
-Build-Depends: debhelper (>= 11), cmake, qtbase5-dev, pkg-config,libexif-dev, libqt5svg5-dev, libqt5x11extras5-dev, libsqlite3-dev, qttools5-dev-tools,qttools5-dev, libxcb-util0-dev, libstartup-notification0-dev,
- libraw-dev,libfreeimage-dev, libqt5opengl5-dev, qtbase5-private-dev,
- qtmultimedia5-dev, x11proto-xext-dev, libmtdev-dev, libegl1-mesa-dev,
- libudev-dev, libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev,
- libxrender-dev, libdtkwidget-dev, libdtkwidget5-bin,libdtkcore5-bin,libgio-qt-dev,libudisks2-qt5-dev,
- libopencv-dev, libmediainfo-dev, libglib2.0-dev
+Build-Depends: 
+ debhelper (>= 11), 
+ cmake, 
+ qtbase5-dev, 
+ pkg-config,
+ libexif-dev, 
+ libqt5svg5-dev, 
+ libqt5x11extras5-dev, 
+ libsqlite3-dev, 
+ qttools5-dev-tools,
+ qttools5-dev, 
+ libxcb-util0-dev, 
+ libstartup-notification0-dev,
+ libraw-dev,
+ libfreeimage-dev, 
+ libqt5opengl5-dev, 
+ qtbase5-private-dev,
+ qtmultimedia5-dev, 
+ x11proto-xext-dev, 
+ libmtdev-dev, 
+ libegl1-mesa-dev,
+ libudev-dev, 
+ libfontconfig1-dev, 
+ libfreetype6-dev, 
+ libglib2.0-dev,
+ libxrender-dev, 
+ libdtkwidget-dev, 
+ libdtkwidget5-bin,
+ libdtkcore5-bin,
+ libgio-qt-dev,
+ libudisks2-qt5-dev,
+ libopencv-dev, 
+ libmediainfo-dev,
+ libffmpegthumbnailer-dev
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org

## image-editor 1.0.24

=== debian/changelog ===
image-editor (1.0.24-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 29 Nov 2022 10:35:46 +0800

image-editor (1.0.22) unstable; urgency=medium

  * Add movie information interface

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 24 Feb 2022 14:15:54 +0800

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,6 @@
  libudev-dev, 
  libfontconfig1-dev, 
  libfreetype6-dev, 
- libglib2.0-dev,
  libxrender-dev, 
  libdtkwidget-dev, 
  libdtkwidget5-bin,
@@ -35,7 +34,8 @@
  libudisks2-qt5-dev,
  libopencv-dev, 
  libmediainfo-dev,
- libffmpegthumbnailer-dev
+ libffmpegthumbnailer-dev,
+ libtiff-dev
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org

## image-editor 1.0.25

=== libimageviewer/CMakeLists.txt ===
--- 
+++ 
@@ -35,6 +35,7 @@
 
 
 find_package(PkgConfig REQUIRED)
+find_package(TIFF)
 pkg_check_modules(3rd_lib REQUIRED
     dtkwidget
     dtkcore
@@ -54,6 +55,8 @@
 file(GLOB_RECURSE RESOURCES "*.qrc")
 
 #------------------添加第三方库begins--------------------------#
+file(GLOB tiffToolsSources ${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/tiff-tools/*.c
+                           ${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/tiff-tools/*.h)
 #使用第三方库需要用到的一个包
 
 set(INC_DIR /usr/include/)
@@ -80,7 +83,7 @@
 set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)
 
 #编译为库
-add_library(imageviewer SHARED ${allHeaders} ${allSources} ${RESOURCES} ${QM})
+add_library(imageviewer SHARED ${allHeaders} ${allSources} ${RESOURCES} ${QM} ${tiffToolsSources})
 #使用库
 qt5_use_modules(imageviewer ${QtModule})
 
@@ -92,8 +95,8 @@
 set_target_properties(${TARGET_NAME} PROPERTIES VERSION 0.1.0 SOVERSION 0.1)
 
 
-target_include_directories(${CMD_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS}  )
-target_link_libraries(imageviewer ${3rd_lib_LIBRARIES} freeimage )
+target_include_directories(${CMD_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS}  ${TIFF_INCLUDE_DIRS})
+target_link_libraries(imageviewer ${3rd_lib_LIBRARIES} freeimage ${TIFF_LIBRARIES})
 
 include(GNUInstallDirs)
 configure_file(libimageviewer.pc.in ${PROJECT_BINARY_DIR}/libimageviewer.pc @ONLY)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -45,6 +45,9 @@
 #file(GLOB_RECURSE HEADERS "../src/src/module/modulepanel.h")
 file(GLOB_RECURSE FORMS "../libimageviewer/*.ui")
 file(GLOB_RECURSE RESOURCES "../*.qrc")
+# 三方库 tiff-tools tiffcp.c
+file(GLOB tiffToolsSources ${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/tiff-tools/*.c
+                           ${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/tiff-tools/*.h)
 
 include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
@@ -54,6 +57,7 @@
     )
 
 find_package(PkgConfig REQUIRED)
+find_package(TIFF)
 
 find_package(Qt5Core)
 find_package(Qt5Test)
@@ -95,7 +99,7 @@
 add_executable( ${TARGET_NAME} ${SOURCES} ${SOURCESC}
     ${HEADERS} ${AllTestQRC}
     ${RESOURCES} ${HEADERSCURRENT}
-    ${SOURCESCURRENT} ${QM}
+    ${SOURCESCURRENT} ${QM} ${tiffToolsSources}
     )
 
 find_package(OpenCV REQUIRED)
@@ -103,8 +107,8 @@
 link_directories(${OpenCV_LIBRARY_DIRS})
 target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBS})
 
-target_include_directories(${TARGET_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${PROJECT_INCLUDE} ${GLOB_RECURSE})
-target_link_libraries(${TARGET_NAME} ${3rd_lib_LIBRARIES} -ldl)
+target_include_directories(${TARGET_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${PROJECT_INCLUDE} ${GLOB_RECURSE} ${TIFF_INCLUDE_DIRS})
+target_link_libraries(${TARGET_NAME} ${3rd_lib_LIBRARIES} -ldl ${TIFF_LIBRARIES})
 
 
 target_link_libraries(

=== debian/changelog ===
image-editor (1.0.25-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 14:31:13 +0800

image-editor (1.0.25) unstable; urgency=medium

  * Fix some bugs.

 -- Deepin Packages Builder <packages@linuxdeepin.com> Tue, 21 Feb 2023 15:42:01 +0800

## image-editor 1.0.39

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,9 @@
 cmake_minimum_required(VERSION 3.0.0)
 
 project(imageeditor)
+
+set(CMAKE_C_FLAGS "-fPIC")
+set(CMAKE_CXX_FLAGS "-fPIC")
 
 execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
     ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)

=== libimageviewer/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,9 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 set(CMAKE_AUTOUIC ON)
+
+set(CMAKE_C_FLAGS "-fPIC")
+set(CMAKE_CXX_FLAGS "-fPIC")
 
 #Qt需要的包
 set(QtModule Core Gui Widgets Svg DBus Concurrent PrintSupport LinguistTools)
@@ -43,6 +46,15 @@
     gobject-2.0
     libmediainfo
     )
+
+# 查找 dfm-io
+pkg_check_modules(dfm-io_lib dfm-io)
+if(${dfm-io_lib_FOUND})
+    message("Found dfm-io, enable MTP file copy optimization.")
+    add_definitions(-DUSE_DFM_IO)
+else()
+    message("Not found dfm-io, use base api copy MTP file.")
+endif()
 
 #需要打开的头文件
 FILE (GLOB allHeaders "*.h" "*/*.h" "*/*/*.h")
@@ -95,8 +107,8 @@
 set_target_properties(${TARGET_NAME} PROPERTIES VERSION 0.1.0 SOVERSION 0.1)
 
 
-target_include_directories(${CMD_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS}  ${TIFF_INCLUDE_DIRS})
-target_link_libraries(imageviewer ${3rd_lib_LIBRARIES} freeimage ${TIFF_LIBRARIES})
+target_include_directories(${CMD_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS}  ${TIFF_INCLUDE_DIRS} ${dfm-io_lib_INCLUDE_DIRS})
+target_link_libraries(imageviewer ${3rd_lib_LIBRARIES} freeimage ${TIFF_LIBRARIES} ${dfm-io_lib_LIBRARIES} dl)
 
 include(GNUInstallDirs)
 configure_file(libimageviewer.pc.in ${PROJECT_BINARY_DIR}/libimageviewer.pc @ONLY)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
 cmake_minimum_required(VERSION 3.0.0)
 
 project(image-editor-test VERSION 0.1)
+
+ADD_COMPILE_OPTIONS(-fno-access-control)
 
 #"option"用来定义宏，"ON"表示打开，"OFF"表示关闭
 option (LITE_DIV "Use tutorial provided math implementation" ON)
@@ -102,10 +104,11 @@
     ${SOURCESCURRENT} ${QM} ${tiffToolsSources}
     )
 
-find_package(OpenCV REQUIRED)
-include_directories(${OpenCV_INCLUDE_DIRS})
-link_directories(${OpenCV_LIBRARY_DIRS})
-target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBS})
+# 暂未使用OpenCV, 暂时屏蔽
+# find_package(OpenCV REQUIRED)
+# include_directories(${OpenCV_INCLUDE_DIRS})
+# link_directories(${OpenCV_LIBRARY_DIRS})
+# target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBS})
 
 target_include_directories(${TARGET_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${PROJECT_INCLUDE} ${GLOB_RECURSE} ${TIFF_INCLUDE_DIRS})
 target_link_libraries(${TARGET_NAME} ${3rd_lib_LIBRARIES} -ldl ${TIFF_LIBRARIES})

=== debian/changelog ===
image-editor (1.0.39-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 12 Dec 2023 19:53:18 +0800

image-editor (1.0.39) unstable; urgency=medium

  * fix: compact mode build faild on low dtkgui version.
         (Influence: CompactMode)
  * fix: remove unnecessary dependency packages
  * feat: Add AI image enhance support.(Influence: AIModel)
  * fix: Init type error / disable drag in processing.
         (Bug: 232295, 232301)(Influence: InitImageType DragImage)
  * fix: Action using enhance image instead of source.
         (Bug: 232505)(Influence: Menu)
  * fix: Disable album action with enhance image.
         (Bug: 232505)(Influence: Menu)
  * fix: diff color with bottom bar and enhance bar.(Influence: EnhaceBar)
  * feat: Disable enhance image size limit.
  * fix: Add file unsavable notify dialog.

 -- renbin <renbin@uniontech.com>  Tue, 12 Dec 2023 17:01:47 +0800

image-editor (1.0.38) unstable; urgency=medium

  * chore: Update REUSE date

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 16 Oct 2023 17:33:35 +0800

image-editor (1.0.37) unstable; urgency=medium

  * Bump version for community, previous is 1.0.34
  * fix: Crash when not found libffmpegthumbnailer.so (#93)
    (Bug: 213565)(Influence: MovieCover)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 26 Sep 2023 17:56:57 +0800

image-editor (1.0.36) unstable; urgency=medium

  * fix: Crash when not found libffmpegthumbnailer.so (#93)
    (Bug: 213565)(Influence: MovieCover)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 26 Sep 2023 17:54:32 +0800

image-editor (1.0.35) unstable; urgency=medium

  * feat: just use QLibrary to search .so
  * fix: Read images from gvfs-mtp mounted folder was slow.(Bug: 204243)(Influence: FileLoad MTP)
  * feat: dfm-io build depend compatibility with diff environments.(Influence: debian/control)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 21 Sep 2023 15:34:15 +0800

image-editor (1.0.34) unstable; urgency=medium

  * fix: Reading out of bounds while file access denied.(Bug: 206425)(Influence: FileAccess)
  * fix: The image becomes larger after rotation.(Bug: 208685)(Influence: RotateImage)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 03 Aug 2023 16:27:44 +0800

image-editor (1.0.33) unstable; urgency=medium

  * Fix build using gcc13: add missing include cstdint.
  * fix: Adapt compact mode. (#84)(Bug: 199309)(Influence: TitleBar CompactMode)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 31 May 2023 13:48:06 +0800

image-editor (1.0.32) unstable; urgency=medium

  * fix: 【UI】导航窗口样式调整(Bug: 194661)
  * fix: 【UI】重命名弹窗样式调整(Bug: 194651)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 09 May 2023 17:47:14 +0800

image-editor (1.0.31) unstable; urgency=medium

  * Update version to 1.0.31 community

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Apr 2023 15:50:47 +0800

image-editor (1.0.30) unstable; urgency=medium

  * fix: 修复重名提示时，输入框未标红的问题(Bug: 194689)
  * fix: fix open deepin-image-viewer crash problem
  * fix: fixed an issue where clicking the large Image - Delete button on the lower version album did not work.

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 26 Apr 2023 15:36:47 +0800

image-editor (1.0.29) unstable; urgency=medium

  * Update version to 1.0.29. community

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 25 Apr 2023 11:00:13 +0800

image-editor (1.0.28) unstable; urgency=medium

  * chore: 【UI】底栏边距调整，与工具栏按钮间隙保持一致(Bug: 156711)
  * feat: 对于不支持设为壁纸的图片，置灰设置壁纸菜单项(Bug: 170707)
  * fix: 修复看图应用删除图片无效的问题(Bug: 197551)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 25 Apr 2023 09:55:13 +0800

image-editor (1.0.27) unstable; urgency=medium

  * fix: 修复相册-大图模式删除图片，没有显示删除确认弹窗的问题 (#68)(Bug: 157033)
  * chore: Add OBS workflows.

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 20 Apr 2023 15:11:29 +0800

image-editor (1.0.26) unstable; urgency=medium

  * Update version to distinguish pro/community.
  * Fix no path error when print images. 

 -- Deepin Packages Builder <packages@linuxdeepin.com> Fri, 10 Mar 2023 10:32:25 +0800

=== debian/control ===
--- 
+++ 
@@ -32,10 +32,16 @@
  libdtkcore5-bin,
  libgio-qt-dev,
  libudisks2-qt5-dev,
- libopencv-dev, 
+# Disable opencv, not used now.
+# libopencv-dev, 
  libmediainfo-dev,
  libffmpegthumbnailer-dev,
- libtiff-dev
+ libtiff-dev,
+# Enable use dfm io to copy MTP mount file, Use `|`(or) relationship to 
+# compatible different environments, qttools5-private-dev will not be used.
+# WARNING: control file changes may cause qttools5-private-dev to be installed
+# instead of libdfm-io-dev.
+ libdfm-io-dev | qttools5-private-dev
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org
 
@@ -57,6 +63,6 @@
  libimage-viewer-dev
 Replaces:
  libimage-viewer-dev
-Recommends: libqt5libqgtk2, kimageformat-plugins ,deepin-ocr
+Recommends: libqt5libqgtk2, kimageformat-plugins, deepin-ocr
 Description: Image Viewer library development headers.
  Deepin Image Viewer library development headers.

## image-editor 1.0.45

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,16 +18,12 @@
 include_directories(${PROJECT_BINARY_DIR})
 include_directories(${PROJECT_SOURCE_DIR})
 
-
 message(STATUS ${CMAKE_CXX_FLAGS})
 
 option(DOTEST "option for test" OFF)
-
-if(DOTEST)
+if(DOTEST OR CMAKE_BUILD_TYPE STREQUAL "Debug")
     add_subdirectory(tests)
 endif()
-
-
 
 add_subdirectory(libimageviewer)
 add_subdirectory(libimagevisualresult)

=== libimageviewer/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,21 @@
 
 # 设置工程名字
 project(libimageviewer VERSION 0.1.0)
+
+# 检查dtkwidget版本
+execute_process(COMMAND dpkg -s libdtkwidget-dev
+                COMMAND grep Version
+                TIMEOUT 5
+                OUTPUT_VARIABLE DWIDGET_VERSION_STR)
+string(REPLACE "Version: " "" DWIDGET_VERSION_STR ${DWIDGET_VERSION_STR})
+message(STATUS "BUILD DTKWidget VERSION ${DWIDGET_VERSION_STR}")
+
+if (${DWIDGET_VERSION_STR} VERSION_LESS "5.6.9-1")
+    message(STATUS "Use specific dtk watermakr, Version < 5.6.9-1")
+    add_definitions(-DUSE_SPECIFIC_DTK_WATERMARK)
+else()
+    message(STATUS "Use master dtk watermakr, Version >= 5.6.9-1")
+endif()
 
 set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -106,7 +121,6 @@
 
 set_target_properties(${TARGET_NAME} PROPERTIES VERSION 0.1.0 SOVERSION 0.1)
 
-
 target_include_directories(${CMD_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS}  ${TIFF_INCLUDE_DIRS} ${dfm-io_lib_INCLUDE_DIRS})
 target_link_libraries(imageviewer ${3rd_lib_LIBRARIES} freeimage ${TIFF_LIBRARIES} ${dfm-io_lib_LIBRARIES} dl)
 
@@ -115,15 +129,18 @@
 
 install(TARGETS ${CMD_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR})
 
+# 公共库头文件
 install(FILES
     imageengine.h
     imageviewer.h
     image-viewer_global.h
     movieservice.h
+    quickprint.h
     DESTINATION include/libimageviewer)
 
+# pkg-config 配置文件
 install(FILES ${PROJECT_BINARY_DIR}/libimageviewer.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
-#translations
+# translations 翻译文件
 install(DIRECTORY ${PROJECT_SOURCE_DIR}/translations
     DESTINATION ${PREFIX}/share/libimageviewer
     FILES_MATCHING PATTERN "*.qm")

=== libimagevisualresult/CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,12 @@
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS on)
 
+set(CMAKE_C_FLAGS "-fPIC")
+set(CMAKE_CXX_FLAGS "-fPIC")
+
 find_package(PkgConfig REQUIRED)
-find_package(OpenCV REQUIRED)
+# OpenCV 并未使用，暂时屏蔽
+# find_package(OpenCV REQUIRED)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
@@ -43,8 +47,8 @@
 # 设置不删除生成的文件夹内容文件
 set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)
 
-link_directories(${OpenCV_LIBRARY_DIRS})
-target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBS})
+# link_directories(${OpenCV_LIBRARY_DIRS})
+# target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBS})
 
 # 设置不删除生成的文件夹内容文件
 set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,8 @@
 
 option (USE_TEST "Use TESTS" ON)
 add_definitions( -DUSE_TEST )
+
+ADD_COMPILE_OPTIONS(-fno-access-control)
 
 set(TARGET_NAME image-editor-test)
 set(CMD_NAME image-editor-test)

=== debian/changelog ===
image-editor (1.0.45) unstable; urgency=medium

  * fix: 修复漏洞 【CITIVD】Deepin-image-viewer-缓冲区溢出
  * feat: add avif and heif image format file support
  * fix: Improve image load policy
  * fix: Update version check with dpkg
  * fix: Remove watermark low version check
  * fix: Change watermark version check
  * test: Update quick print unit test
  * fix: Load translation file on quick print.
  * feat: Add quick print pictures

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Wed, 26 Jun 2024 09:57:51 +0800

image-editor (1.0.44) unstable; urgency=medium

  * fix: The bottom line of the bottombar bottoms is thick.(Bug: 197857)
  * feat: Set greeter background when setting wallpaper(Task: 32367)(Influence: SetWallpaper)
  * fix: Wrong clean cache folder(Bug: 247289)(Influence: SetWallpaper)
  * fix: Cached greeter background image too large(Bug: 247311)(Influence: SetWallpaper)

 -- renbin <renbin@uniontech.com>  Wed, 27 Mar 2024 15:30:02 +0800

image-editor (1.0.43) unstable; urgency=medium

  * fix: Info widget flicking on wayland.(Bug: 242125)

 -- renbin <renbin@uniontech.com>  Wed, 21 Feb 2024 16:50:55 +0800

image-editor (1.0.42) unstable; urgency=medium

  * fix: Fixed the issue where the thumbnail display would be
         stretched when viewing images.(Bug: 158423)
  * fix: Modify the file name suffix color of the rename window
         (Bug: 231485)
  * fix: Fix the issue that the pop-up window does not match the
         system controls(Bug: 194649)
  * fix: The wrong toolbar thumbnail movable range(Bug: 158443)
  * feat: Merge permission/watermark into master(Task: 27785, 30217)
  * fix: Copy may cause program lag
  * fix: The top toolbar background shading is inconsistent(Bug: 156727)
  * fix: Limit input printCount range(Bug: 241777)
  * fix: printCount not decrease on low dtk version(Bug: 241949)

 -- renbin <renbin@uniontech.com>  Mon, 05 Feb 2024 13:39:07 +0800

image-editor (1.0.41) unstable; urgency=medium

  * fix: Delete image not work after rename.(Bug: 236589)

 -- renbin <renbin@uniontech.com>  Wed, 10 Jan 2024 13:38:35 +0800

image-editor (1.0.40) unstable; urgency=medium

  * fix: Build error on low dtk version.

 -- renbin <renbin@uniontech.com>  Mon, 25 Dec 2023 17:14:57 +0800

## image-editor 1.0.47

=== libimageviewer/CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,6 @@
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 add_definitions( -DLITE_DIV )
-add_definitions( -DUSE_UNIONIMAGE )
 add_definitions( -DCMAKE_BUILD )
 
 #库目录
@@ -92,8 +91,6 @@
 include_directories(${INC_DIR})
 link_directories(${LINK_DIR})
 
-link_libraries(freeimage)
-
 set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)
 
 file(GLOB TS LIST_DIRECTORIES false translations/libimageviewer*.ts)
@@ -122,7 +119,7 @@
 set_target_properties(${TARGET_NAME} PROPERTIES VERSION 0.1.0 SOVERSION 0.1)
 
 target_include_directories(${CMD_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS}  ${TIFF_INCLUDE_DIRS} ${dfm-io_lib_INCLUDE_DIRS})
-target_link_libraries(imageviewer ${3rd_lib_LIBRARIES} freeimage ${TIFF_LIBRARIES} ${dfm-io_lib_LIBRARIES} dl)
+target_link_libraries(imageviewer ${3rd_lib_LIBRARIES}  ${TIFF_LIBRARIES} ${dfm-io_lib_LIBRARIES} dl)
 
 include(GNUInstallDirs)
 configure_file(libimageviewer.pc.in ${PROJECT_BINARY_DIR}/libimageviewer.pc @ONLY)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,6 @@
 #"option"用来定义宏，"ON"表示打开，"OFF"表示关闭
 option (LITE_DIV "Use tutorial provided math implementation" ON)
 add_definitions( -DLITE_DIV )
-option (USE_UNIONIMAGE "Use UNIONIMAGE" ON)
-add_definitions( -DUSE_UNIONIMAGE )
 
 option (USE_TEST "Use TESTS" ON)
 add_definitions( -DUSE_TEST )
@@ -84,7 +82,6 @@
     gsettings-qt
     gstreamer-1.0
     libmediainfo
-#    freeimage
         )
 
 ## translations
@@ -137,7 +134,6 @@
 #    gio-unix-2.0
     gio-qt
     udisks2-qt5
-    freeimage
     pthread
     gtest
     )

=== debian/changelog ===
image-editor (1.0.47) unstable; urgency=medium

  * remove freeimage

 -- Liu zheng <liuzheng@uniontech.com>  Fri, 15 Nov 2024 14:00:19 +0800

image-editor (1.0.46) unstable; urgency=medium

  * chore(CI): add debian check workflow
    Thanks to kuchune
  * fix: temporary dirs are created by default
  * fix: [cmd] remove bash use(Task: 362321)

 -- renbin <renbin@uniontech.com>  Fri, 20 Sep 2024 14:16:15 +0800

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,7 @@
  qttools5-dev, 
  libxcb-util0-dev, 
  libstartup-notification0-dev,
- libraw-dev,
- libfreeimage-dev, 
+ libraw-dev, 
  libqt5opengl5-dev, 
  qtbase5-private-dev,
  qtmultimedia5-dev,
